=== acct/Makefile ===
POPHOME=/tmp
OWNER=nobody
GROUP=none
SHELL=/bin/bash -e -o pipefail

PROG=$(wildcard [a-z]*)

all clean:

install:
	fn=/tmp/inst.$$$$; \
	for i in $(PROG) ; do \
		perl -p ../obj/varsubst <$$i >$$fn; \
		install -o $(OWNER) -g $(GROUP) -m 755 $$fn $(DESTDIR)$(POPHOME)/acct/$$i ; \
	done; \
	rm -f $$fn

diff:
	-for i in $(PROG); do \
		echo Index: $(TOPDIR)/$$i ; \
		perl -p ../obj/varsubst <$$i | diff -bu - $(POPHOME)/acct/$$i; done
