=== bin/Makefile ===

###
### Makefile für den Xlink-POP-Datenbankbetrieb oder was auch immer.
###

POPHOME=/tmp
OWNER=nobody
GROUP=none
SHELL=/bin/bash -e -o pipefail

CFLAGS=-O2

ALL= db.safe dbbuild dbdump dbrestore descr kunde \
	rddump rdrestore db.pl db.py konfig2db
	# dbcmd status ticket 

ALL2= vicat

all:
	ln -sf db.pl db

clean:
	rm -f db

V=$(shell cd ..; dpkg-parsechangelog | sed -ne 's/^Version:\s*//p')

man:
	mkdir -p $(DESTDIR)/usr/share/man/man1
	grep -l '^#!/usr/bin/perl' * | xargs grep -l ^=head | while read a ; do \
		iconv -f utf8 -t latin1 $$a | pod2man -c Kunde -s 1 -q "''" -r $V -v | gzip -9 > $(DESTDIR)/usr/share/man/man1/$$a.1.gz ; \
	done

install:
	fn=/tmp/inst.$$$$; \
	for i in $(ALL) ; do \
		perl -p ../obj/varsubst <$$i >$$fn; \
		install -o $(OWNER) -g $(GROUP) -m 755 $$fn $(DESTDIR)$(POPHOME)/bin/$$i ; \
	done; \
	rm -f $$fn
	install -o $(OWNER) -g $(GROUP) -m 755 $(ALL2) $(DESTDIR)$(POPHOME)/lib
	ln -sf db.pl $(DESTDIR)$(POPHOME)/bin/db

diff:
	-for i in $(ALL); do \
		echo Index: $(TOPDIR)/$$i ; \
		perl -p ../obj/varsubst <$$i | diff -bu - $(POPHOME)/bin/$$i; done
	-for i in $(ALL2); do \
		echo Index: $(TOPDIR)/$$i ; \
		perl -p ../obj/varsubst <$$i | diff -bu - $(POPHOME)/lib/$$i; done
