=== cgi-bin/Makefile ===
POPHOME=/tmp
OWNER=nobody
GROUP=none
CGIBIN=/usr/lib/cgi-bin/
SHELL=/bin/bash -e -o pipefail

WHAT=	check_flag_by_kunde.id \
	create_domain \
	register_domain_auftragsnr \
	get_accounting_timestamp \
	get_email_by_user.name \
	get_hardware_by_kunde.id \
	get_ipassacct_by_kunde.id \
	get_kunde.id_by_user.name \
	get_kunden_by_user.name \
	get_radacct_by_kunde.id get_radacct_dienste_by_kunde.id \
	get_sicherungen_by_rack.name \
	get_ticket_content_by_id get_tickets_by_user.name \
	get_unterkunden_by_kunde.id \
	get_trouble_ticket get_trouble_tickets_by_kunde.id \
	printenv

all:
	# nix
clean:

install:
	install -o $(OWNER) -g $(GROUP) -m 755 -d $(DESTDIR)$(CGIBIN)
	fn=/tmp/inst.$$$$; \
	for i in $(WHAT) ; do \
		perl -p ../obj/varsubst <$$i >$$fn; \
		install -o $(OWNER) -g $(GROUP) -m 755 $$fn $(DESTDIR)$(CGIBIN)/$$i ; \
	done; \
	rm -f $$fn

diff:
	for i in $(WHAT) ; do \
		echo Index: $(TOPDIR)/$$i; \
		perl -p ../obj/varsubst <$$i | diff -bu - $(CGIBIN)$$i || true ; \
	done

.PHONY: all install diff
