=== dbpython/Makefile ===
SHELL=/bin/bash -e -o pipefail

all:
	@echo Nothing to do.

install:
	install -o root -g root -m 755 -d $(DESTDIR)/usr/lib/site-python/noris
	install -o root -g root -m 644 *.py $(DESTDIR)/usr/lib/site-python/noris

clean:
	rm -f *.pyc
