=== etc/Makefile ===
POPHOME=/tmp
OWNER=nobody
GROUP=none
ETCDIR=/etc
SHELL=/bin/bash -e -o pipefail

WHAT=	exim4/headers_otrs2rt exim4/headers_rt2otrs

all:
	# nix
clean:

install:
	find . -type d -print | while read d ; do \
		install -o $(OWNER) -g $(GROUP) -m 755 -d $(DESTDIR)$(ETCDIR)/$$d; \
		done

	install -o $(OWNER) -g $(GROUP) -m 755 -d $(DESTDIR)$(ETCDIR)
	fn=/tmp/inst.$$$$; \
	for i in $(WHAT) ; do \
		perl -p ../obj/varsubst <$$i >$$fn; \
		install -o $(OWNER) -g $(GROUP) -m 755 $$fn $(DESTDIR)$(ETCDIR)/$$i ; \
	done; 
	rm -f $$fn

diff:
	for i in $(WHAT) ; do \
		echo Index: $(TOPDIR)/$$i; \
		perl -p ../obj/varsubst <$$i | diff -bu - $(ETCDIR)$$i || true ; \
	done

.PHONY: all install diff
