=== kunde/Makefile ===

###
### Makefile für den Xlink-POP-Datenbankbetrieb oder was auch immer.
###

# 2001-09-23 smurf Änderungslog angelegt
# 2001-09-23 smurf Fixups für Bitkeeper

POPHOME=/tmp
OWNER=nobody
GROUP=none
SUBDIRS=
SHELL=/bin/bash -e -o pipefail

DIRS := $(shell find . -type d -name '[a-z]*' )

all:: ../obj/kunde_funcs kunde_funcs

kunde_funcs: ../obj/kunde_funcs
	ln -s $< $@

../obj/kunde_funcs: Makefile $(ALL)
	git ls-files -z | xargs -0r perl -e 'while(<>) { $$skip=1 if /^package /; next if $$skip; print if s/^(sub\s+\w+\s*(?:\([\$$\@\&\;\\\%]*\))?)[^\n;]*$$/$$1;/; } continue { $$skip=0 if eof;} ' > $@
	@echo "1;" >> $@

install::
	install -o $(OWNER) -g $(GROUP) -m 751 -d $(DESTDIR)$(POPHOME)/lib/kunde
	for i in $(DIRS); do install -o $(OWNER) -g $(GROUP) -m 751 -d $(DESTDIR)$(POPHOME)/lib/kunde/$$i; done
	fn=/tmp/inst.$$$$; \
	git ls-files | while read i ; do \
		perl -p ../obj/varsubst <"$$i" >$$fn; \
		install -o $(OWNER) -g $(GROUP) -m 644 $$fn $(DESTDIR)$(POPHOME)/lib/kunde/"$$i"; done; \
	rm -f $$fn
	install -o $(OWNER) -g $(GROUP) -m 644 ../obj/kunde_funcs $(DESTDIR)$(POPHOME)/lib/kunde/

#diff::
#	# do nothing 

diff::
	git ls-files | while read i ; do \
		echo Index: $(TOPDIR)/$$i; \
		diff -bu "$$i" "$(POPHOME)/lib/kunde/$$i"; done

newfiles::
	comm -13 <(ls -1 .) <(ls -1 ${POPHOME}/lib/kunde/)

getnewfiles::
	comm -13 <(ls -1 .) <(ls -1 ${POPHOME}/lib/kunde/) | while read a ; do cp -av ${POPHOME}/lib/kunde/$$a . ; done

clean::
	rm -f ../obj/kunde_funcs
	
#all install clean diff::
#	for i in $(SUBDIRS) ; do $(MAKE) -e -C $$i $@ ; done
