=== lib/Makefile ===

###
### Makefile für den Library-Kram
###

POPHOME=/tmp
OWNER=nobody
GROUP=none
SHELL=/bin/bash -e -o pipefail

WHAT :=  pop_conf_sh

all:: 
	#nothing to do

clean::

install::
	install -o root -g root -m 755 -d $(DESTDIR)/lib

	fn=/tmp/inst.$$$$; \
	for i in $(WHAT) ; do \
		perl -p ../obj/varsubst <$$i >$$fn; \
		install -o $(OWNER) -g $(GROUP) -m 755 $$fn $(DESTDIR)$(POPHOME)/lib/$$i ; \
	done; \
	rm -f $$fn

	install -d $(DESTDIR)$(POPHOME)/lib/acct
	find acct -maxdepth 1 -type f -print | while read a ; do install -m 644 "$$a" $(DESTDIR)$(POPHOME)/lib/acct ; done

diff::
	for i in $(PUBHDR) ; do \
		echo Index: $(TOPDIR)/$$i; \
		diff -bu $$i /usr/include/$$i || true ; \
	done
