=== debian/changelog ===
kunde (1.2010.8.14) lenny; urgency=low

  * #10136528: check_rt-tickets: Selektion von Typen mit Wildcards ermöglicht;
    Möglichkeiten zur Selektion von Queue inkl. Unter-Queues dokumentiert;
    POD zur nicht mehr existenten Option -limit entfernt

 -- Martin H. Sluka <fany@noris.net>  Thu, 16 Sep 2010 15:06:38 +0200

kunde (1.2010.8.13) lenny; urgency=low

  * #10165401: bei artikelspezifischer Zeiterfassung Ticket-Titel einblenden
  * #10134564: Links auf Tickets in Zeiterfassung im selben Fenster öffnen
  * #10136515: Warnung wenn Person mit Rolle rtweb assoziiert wird

 -- Stelios Gikas <stelios.gikas@noris.net>  Thu, 16 Sep 2010 11:43:05 +0200

kunde (1.2010.8.12) lenny; urgency=low

  * Neue Version...

 -- Stelios Gikas <stelios.gikas@noris.net>  Wed, 15 Sep 2010 16:15:45 +0200

kunde (1.2010.8.11) lenny; urgency=low

  * #10181603: test/70_accounting: korrigiert zeit-pppoe eingefügt
  * #10120675: kunde_builder sendet mails direkt in Queue entwicklung::kunde
  * #10136515: Warnung wenn Person mit Rolle rtweb assoziiert wird
  * #10141393: NEU:arbeitszeit4tickets: zurückgebaut,
    dafür NEU:tickets: siehe [[Kunde/Tool "tickets"]]
  * #10171309: db.rechlauf funktioniert nicht
  * #10119873: Radius Ascus DSL - Acct Daten
  * #10176258: TT-Generator: Liste aller IGZ-Kunden
  * #10173448: tickets: Syntax für Sub-Queues dokumentiert
  * #10141393: tickets: Bugfix für SLA-Zeiten der "-gruppe incidents"
  * #10173770: suche_reminder-ticket: Anpassung auf neue billing-Queues im OTRS
  * #10102406: acct/do.stromaccounting verbessert

 -- Stelios Gikas <stelios.gikas@noris.net>  Wed, 15 Sep 2010 15:53:08 +0200

kunde (1.2010.8.8) lenny; urgency=low

  * #10155484: Kleiner Fehler bei Anzeige von IP-Zonen in kunde

 -- Stelios Gikas <stelios.gikas@noris.net>  Wed, 08 Sep 2010 17:19:51 +0200

kunde (1.2010.8.7) lenny; urgency=low

  * #10155455: für QSU-Tests OTRS-Backend (statt RT-Backend) verwenden,
    dabei als User "monitor" arbeiten
  * #10155455: NEU:arbeitszeit4tickets: wegen Backend-Umstellung (s. o.)

 -- Martin H. Sluka <fany@noris.net>  Wed, 08 Sep 2010 15:08:21 +0200

kunde (1.2010.8.6) lenny; urgency=low

  * #10152081: dispatch.win-sec-ssc für OTRS angepasst
  * #10154364: @rt.noris.net-Adressen aus Tools domainlose_webspaces
    und maile.neue_hardware beseitigt
  * #10155455: gen.oxconf auch aus qsu/tests entfernt

 -- Martin H. Sluka <fany@noris.net>  Wed, 08 Sep 2010 14:45:44 +0200

kunde (1.2010.8.5) lenny; urgency=low

  * Neue Version...

 -- Stelios Gikas <stelios.gikas@noris.net>  Tue, 07 Sep 2010 17:21:21 +0200

kunde (1.2010.8.4) lenny; urgency=low

  * Neue Version...

 -- Stelios Gikas <stelios.gikas@noris.net>  Mon, 06 Sep 2010 17:43:05 +0200

kunde (1.2010.8.3) lenny; urgency=low

  * Neue Version...

 -- Stelios Gikas <stelios.gikas@noris.net>  Mon, 06 Sep 2010 17:42:13 +0200

kunde (1.2010.8.2) lenny; urgency=low

  * #10130269: maile.rt-billing2ap: Kundenname am Anfang statt Ende des
    Subjects
  * #10132106: kunde: Suche von Hardware nach Eigentümer ermöglicht
  * #10132542: TT-Generator: Auswahlmöglichkeit für rtweb-Kunden
  * #10136238: Bei Domains mit DNS-Zone kann man sich mit "bz" nun
    anzeigen lassen, welcher Eintrag von wann und wem stammt.
  * #10125117: Anpassung noris::CreateTicket für OTRS-Ticketserver
  * #10141393: weitere Anpassung arbeitszeit4tickets für OTRS:
    + Spalten umbenannt:
      - "Area" in "Typ"
      - "Subject" in "Titel"
      - "Störungsflags" in "SLA-Relevanz"
    + zusätzliche Spalte "verantwortlich"
    + zusätzliche Option "-verantwortlich" zur Selektion
    + obsolete Warnung bei Option "-nur-sichtbare" entfernt
    + empfohlene Optionsnamen "-typ" und "-ohne-typ"
      (statt "-area" bzw. "-ohne-area")
  * #10121795: Trouble Tickets mit "Precedence: bulk" versenden
  * gen.oxconf gelöscht - wurde zuletzt 2009-06-22 verwendet
  * #10152081: dispatch.win-sec-ssc für OTRS angepasst

 -- Martin H. Sluka <fany@noris.net>  Mon, 06 Sep 2010 16:47:03 +0200

kunde (1.2010.8.1) lenny; urgency=low

  * Neue Version...

 -- Stelios Gikas <stelios.gikas@noris.net>  Mon, 26 Jul 2010 15:53:57 +0200

kunde (1.2010.8.0) lenny; urgency=low

  * #10125117: Anpassung noris::CreateTicket für OTRS-Ticketserver
  * #10126051: Strom Kunde Änderungen
  * #10126918: Warnung nach löschen von TSIG bei Domains
  * #10051870: Radius-Accounting für UMTS

 -- Stelios Gikas <stelios.gikas@noris.net>  Wed, 21 Jul 2010 15:17:11 +0200

kunde (1.2010.7.14) lenny; urgency=low

  [ Stelios Gikas ]
  * #10102406: check.acct_mess_stellen: Option -auch-ohne-mv hinzugefügt
  * #10124967: automagische Links aus Zeiterfassung
  * #10119873: Radius Ascus DSL - Acct Daten ':' -> '+'
  * #10127184: Trouble Tickets: Zeitzonenangabe bei "Ende nicht bekannt"
  * #10119873: Radius Daten (radacct.log Username bis '+' ignorieren)
  * #10129063: Cron <root@qsu5> /usr/pop/bin/./ablesung
  * #10129920: denic_member_GET: Anpassung auf aktuelle DENIC-Website
  * #615977: Infotext zu Leitungen wurde noch falsch als "kundeneigene
    Leitungsbezeichnung" bezeichnet; korrigiert
  * #10130416: look4rt-tickets: nur gesperrte Tickets beachten
  * #10131002: kunde: Beim Beenden einzelner IP-Adressen nicht im DNS
    nach Alteinträgen suchen, weil die in diesem Zusammenhang sowieso
    gelöscht werden.
  * #10131624: Bei Suche nach Mailregeln, die auf einen bestimmten User
    zeigen, nur solche beachten, die wirklich auf einen User zeigen
    (und nicht z. B. auf einen zufällig gleichnamigen Host).
  * #10133327: Dbase::OTRS: OTRS-Ticketnummern sind Strings!
  * #10130429: Dokumentation check_rt-tickets korrigiert
  * noris::CreateTicket: kein "noris." vor den Queue-Namen schreiben
  * #441274: RT: Hinweis, dass man das OTRS verwenden möchte
  * #10136137: Ticketgen Proxy
  * #10138218: Umlaute in via noris::CreateTicket eingelieferten Trouble Tickets
  * maile.rt-billing2ap soll nun an $TICKET_DOMAIN statt $RT_DOMAIN mailen


