=== debian/control ===
Source: kunde
Section: noris/kunde
Priority: extra
Maintainer: Matthias Urlichs <smurf@noris.de>
Build-Depends: bash (>> 3), debhelper (>> 5), lib64c-dev [sparc s390 i386 powerpc], lib64gcc1 [i386 powerpc sparc s390], lib32c-dev [amd64 ppc64], lib32gcc1 [amd64 ppc64], gnupg, libalgorithm-diff-perl, libbusiness-tax-vat-validation-perl (>= 0.20-3), libcache-cache-perl, libchart-perl, libcompress-zlib-perl, libdata-dumpxml-perl, libdate-calc-perl, libdatetime-event-cron-perl, libdbd-mysql-perl, libdbi-perl, libemail-valid-perl, liberror-perl, libgnupg-perl, libhtml-tree-perl, libhtml-scrubber-perl, libhook-lexwrap-perl, libidna-punycode-perl, libio-pty-perl, libio-socket-ssl-perl, libio-string-perl, libipc-run3-perl, libjson-perl, libmail-box-perl, libmailtools-perl, libmime-perl, libmldbm-perl, libmoose-perl, libmysqlclient16-dev | libmysqlclient15-dev | libmysqlclient14-dev | libmysqlclient12-dev | libmysqlclient10-dev | libmysqlclient-dev, libnet-dns-perl, libnet-idn-punycode-perl, libnet-ip-perl, libnetaddr-ip-perl (>> 4), libnetsaint-noris-perl, libnoris-date-calendar-profiles-perl, libnumber-format-perl, libregexp-common-perl, librrds-perl, libscalar-list-utils-perl, libshlock-perl, libsocket6-perl, libstring-shellquote-perl, libtemplate-perl, libterm-readkey-perl, libterm-readline-gnu-perl, libtext-csv-xs-perl (>=0.52-1) | libtext-csv-perl (<< 1.06-1), libtext-wrapper-perl, libtie-ixhash-perl, libtime-modules-perl, libtime-period-perl, libtimedate-perl, liburi-find-perl, libwww-mechanize-perl, libxml-grove-perl, libxml-parser-perl, libyaml-perl, noris-csv-filter, perl (>= 5.6), perl-doc, perl-modules, oidentd | ident-server, python-dev, python-mysqldb, yapps2 (>> 2.1.1-16)
Standards-Version: 3.6.1

Package: kunde-common
Architecture: all
Pre-Depends: netbase (>= 4.21)
Depends: ${shlibs:Depends}, liberror-perl, libhtml-scrubber-perl, libmailtools-perl (<< 2.0) | libmailtools-perl (>= 2.05)
Conflicts: datenbank-extern, kunde-extern-dev
Replaces: kunde (<< 1.2007.4.13), kunde-htdocs (<< 1.2009.5)
Description: noris-kunde-Datenbank, Gemeinsames
 Kram für kunde und -python und -extern

Package: kunde-bin
Architecture: any
Pre-Depends: netbase (>= 4.21)
Depends: ${shlibs:Depends}
Replaces: kunde (<< 1.2008.9)
Description: noris-kunde-Datenbank, Binaries
 Kompilierte Programme

Package: kunde-32-bin
Architecture: any
Pre-Depends: netbase (>= 4.21)
Depends: libc6
Description: noris-kunde-Datenbank, Binaries
 Kompilierte Programme, 32bit

Package: kunde-64-bin
Architecture: any
Pre-Depends: netbase (>= 4.21)
Depends: libc6
Description: noris-kunde-Datenbank, Binaries
 Kompilierte Programme, 64bit

Package: kunde
Replaces: datenbank, kunde-snmp
Conflicts: datenbank, kunde-snmp
Architecture: all
Pre-Depends: kunde-common (= ${Source-Version})
Depends: ${shlibs:Depends}, kunde-bin (= ${Source-Version}), kunde-rt (= ${Source-Version}), libalgorithm-diff-perl, libbusiness-tax-vat-validation-perl (>= 0.20-3), libchart-perl, libcompress-zlib-perl, libdata-dump-perl, libdatetime-event-cron-perl, libdate-calc-perl, libdbd-mysql-perl, libdbi-perl, libemail-valid-perl, libgnupg-perl, libhook-lexwrap-perl, libidna-punycode-perl, libio-pty-perl, libio-socket-ssl-perl, libio-string-perl, libipc-run3-perl, libjson-perl, libmail-box-perl, libmailtools-perl, libmime-perl, libmldbm-perl, libmoose-perl, libnet-dns-perl, libnet-imap-simple-ssl-perl, libnet-idn-punycode-perl, libnet-ip-perl, libnetaddr-ip-perl (>> 4), libnoris-date-calendar-profiles-perl, libnumber-format-perl, libregexp-common-perl, libscalar-list-utils-perl, libshlock-perl, libsnmp-perl, libsocket6-perl, libstring-shellquote-perl, libtemplate-perl, libterm-readkey-perl, libterm-readline-gnu-perl, libtext-asciitable-perl, libtext-csv-xs-perl (>=0.52-1) | libtext-csv-perl (<< 1.06-1), libtext-wrapper-perl, libtie-ixhash-perl, libtime-modules-perl, libtime-period-perl, libtimedate-perl, libwww-mechanize-perl, libxml-grove-perl, libxml-parser-perl, libyaml-perl, noris-csv-filter, perl-doc, perl-modules, oidentd | ident-server, ucspi-tcp, shlock
Recommends: libgraphviz-perl, libnetsaint-noris-perl, librrds-perl
Suggests: libapache-mod-perl, kunde-doc, graphviz
Description: noris-kunde-Datenbank, intern
 Standard-Kram: kunde, /usr/pop/bin/*, ...

Package: kunde-extern
Architecture: all
Replaces: datenbank-extern
Conflicts: datenbank-extern
Pre-Depends: kunde-common (= ${Source-Version})
Depends: ${shlibs:Depends}, libcache-cache-perl, libdata-dumpxml-perl, libshlock-perl, libxml-parser-perl, libmime-perl
Recommends: libcrypt-ssleay-perl
Description: noris-kunde-Datenbank, extern
 Libraries zum externen Zugriff (via pam, etc.) auf die
 Kunden-Datenbank.

Package: kunde-python
Architecture: all
Pre-Depends: kunde-common (= ${Source-Version})
Depends: python (>= 2.3), ${python:Depends}, kunde (= ${Source-Version}), yapps2-runtime (>> 2.1.1-16), python-mysqldb
Replaces: kunde (<< 1.2007.1.6)
Description: noris-kunde-Datenbank, Python-Kram
 Python-Kram für kunde

Package: kunde-cgibin
Architecture: all
Depends: apache2 | apache, kunde (= ${Source-Version}), libcgi-untaint-perl, libcgi-untaint-hostname-perl, libcgi-untaint-ipaddress-perl, libdata-dumpxml-perl, perl (>= 5.8)
Description: noris-kunde-Datenbank, CGI-Scripts für REST-Backend
 Backend-Scripts für indirekte Datenbankabfragen etc., vgl. RT#214672

Package: kunde-rt
Architecture: all
Pre-Depends: kunde-common (= ${Source-Version})
Depends: ${perl:Depends}, kunde (= ${Source-Version}), libemail-valid-perl, libhtml-tree-perl, libhtml-scrubber-perl, libio-string-perl, libmail-box-perl, libmailtools-perl, libmime-perl, libnetsaint-noris-perl, librrds-perl, libtext-wrapper-perl, libtime-period-perl, liburi-perl, liburi-find-perl, perl-modules
Recommends: libapache-mod-perl, glimpse
Replaces: rt
Conflicts: rt
Description: RT für kunde
 RT-Webinterface für kunde

Package: kunde-doc
Architecture: all
Depends: kunde-common (= ${Source-Version})
Description: Doku für kunde
 Manpages für kunde-Programme

Package: kunde-htdocs
Architecture: all
Depends: kunde-common (= ${Source-Version}), kunde-rt (= ${Source-Version})
Replaces: kunde-cgibin (<< 1.2006.11.12)
Description: kunde-spezifische Dateien auf intra
 Stunden-Interface etc.

Package: kunde-qsu
Architecture: all
Depends: kunde-rt, git-core, dpkg-dev, diff, shlock
Description: kunde-spezifische Dateien auf qsu
 Scripts für die Qualitätssicherungskiste
 .
 Dieses Paket hängt explizit nicht von einer speziellen Version von
 kunde-common ab, damit es nicht automatisch mitgeupdatet wird.
